#!/bin/bash

module=$(pactl load-module module-null-sink media.class=Audio/Source/Virtual sink_name=Virt_Mic channel_map=front-left,front-right)

if [ ! $? ]; then
	notify-send -a "$0" -i microphone "Failed to set-up null sink"
	exit -1
else
	notify-send - "$0" -i microphone "Null sink set-up"
fi

carla ~/Projects/Audio/Carla/Basic\ Setup.carxp

pactl unload-module $module
